package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-07
 */
public class ScoringOperateRecord extends Model<ScoringOperateRecord> {

    private static final long serialVersionUID=1L;

    /**
     * 打分操作记录表
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 打分者姓名
     */
    @TableField("operator")
    private String operator;

    /**
     * 打分人id
     */
    @TableField("operator_id")
    private Integer operatorId;

    /**
     * 操作内容
     */
    @TableField("content")
    private String content;

    /**
     * 打分表的关联外键
     */
    @TableField("score_id")
    private Integer scoreId;

    /**
     * 操作时间
     */
    @TableField("indate")
    private LocalDateTime indate;

    /**
     * 对象id
     */
    @TableField("uid")
    private Integer uid;

    /**
     * 对象名
     */
    @TableField("uname")
    private String uname;

    /**
     * 部门id
     */
    @TableField("dept_id")
    private String deptId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getScoreId() {
        return scoreId;
    }

    public void setScoreId(Integer scoreId) {
        this.scoreId = scoreId;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ScoringOperateRecord{" +
        "id=" + id +
        ", operator=" + operator +
        ", operatorId=" + operatorId +
        ", content=" + content +
        ", scoreId=" + scoreId +
        ", indate=" + indate +
        ", uid=" + uid +
        ", uname=" + uname +
        ", deptId=" + deptId +
        "}";
    }
}
